DEVINFO(8)

NAME
devinfo - print information about system device configuration

SYNOPSIS
devinfo [-rv]
devinfo -u

DESCRIPTION
The devinfo utility, without any arguments, shows the hierarchy of devices available in the system, starting from the “nexus” device.

The following options are accepted.

-r  Causes hardware resource information (such as IRQ, I/O ports, I/O memory addresses) to be also listed, under each device that has reserved those resources.

-u  Displays the same information as with -r but sorts by resource type rather than by device, allowing to review the set of system resources by usage and available resources. I.e., it lists all the IRQ consumers together.

-v  Display all devices in the driver tree, not just those that are attached or busy. Without this flag, only those devices that have attached are reported.

SEE ALSO
systat(1), devinfo(3), iostat(8), pciconf(8), pnpinfo(8), vmstat(8), devclass(9), device(9)

AUTHORS
Mike Smith <msmith@FreeBSD.org>